### Hierarchy

- IModelState

## Index

### Properties

- collection
- createdTime
- lastSequenceNumber
- local
- modelId
- modifiedTime
- permissions
- snapshot
- valueIdPrefix
- version

## Properties

### collection

collection: string

### createdTime

createdTime: Date

### lastSequenceNumber

lastSequenceNumber: number

### local

local: boolean

### modelId

modelId: string

### modifiedTime

modifiedTime: Date

### permissions

permissions: ModelPermissions

### snapshot

snapshot: IModelSnapshot

### valueIdPrefix

valueIdPrefix: object

#### Type declaration

- ##### Optional increment?: number

- ##### prefix: string

### version

version: number